<?php
if (!class_exists( 'PressPayCustomer' )) {
  class PressPayCustomer {
    public $id = false;
    public $stripe_client_id;
    public $wp_user_id;
    public $email;
    public $billing_name;
    public $billing_address_line_1;
    public $billing_address_zip;
    public $billing_address_city;
    public $billing_address_state;
    public $billing_address_country;
    public $shipping_name;
    public $shipping_address_line_1;
    public $shipping_address_zip;
    public $shipping_address_city;
    public $shipping_address_state;
    public $shipping_address_country;

    public function __construct( $params = array() ) {
      DebugModel::debug("PressPayCustomer::__construct");

      $default_vals = array(
        'stripe_client_id'         => '',
        'wp_user_id'               => '',
        'email'                    => '',
        'billing_name'             => '',
        'billing_address_line_1'   => '',
        'billing_address_zip'      => '',
        'billing_address_city'     => '',
        'billing_address_state'    => '',
        'billing_address_country'  => '',
        'shipping_name'            => '',
        'shipping_address_line_1'  => '',
        'shipping_address_zip'     => '',
        'shipping_address_city'    => '',
        'shipping_address_state'   => '',
        'shipping_address_country' => ''
      );

      $params = array_merge( $default_vals, $params );

      $this->stripe_client_id         = $params['stripe_client_id'];
      $this->wp_user_id               = $params['wp_user_id'];
      $this->email                    = $params['email'];
      $this->billing_name             = $params['billing_name'];
      $this->billing_address_line_1   = $params['billing_address_line_1'];
      $this->billing_address_zip      = $params['billing_address_zip'];
      $this->billing_address_city     = $params['billing_address_city'];
      $this->billing_address_state    = $params['billing_address_state'];
      $this->billing_address_country  = $params['billing_address_country'];
      $this->shipping_name            = $params['shipping_name'];
      $this->shipping_address_line_1  = $params['shipping_address_line_1'];
      $this->shipping_address_zip     = $params['shipping_address_zip'];
      $this->shipping_address_city    = $params['shipping_address_city'];
      $this->shipping_address_state   = $params['shipping_address_state'];
      $this->shipping_address_country = $params['shipping_address_country'];

      global $wpdb;

      $wpdb->insert(
        PRESS_PAY_CUSTOMER_TABLE,
        array(
          'stripe_client_id'         => $this->stripe_client_id,
          'wp_user_id'               => $this->wp_user_id,
          'email'                    => $this->email,
          'billing_name'             => $this->billing_name,
          'billing_address_line_1'   => $this->billing_address_line_1,
          'billing_address_zip'      => $this->billing_address_zip,
          'billing_address_city'     => $this->billing_address_city,
          'billing_address_state'    => $this->billing_address_state,
          'billing_address_country'  => $this->billing_address_country,
          'shipping_name'            => $this->shipping_name,
          'shipping_address_line_1'  => $this->shipping_address_line_1,
          'shipping_address_zip'     => $this->shipping_address_zip,
          'shipping_address_city'    => $this->shipping_address_city,
          'shipping_address_state'   => $this->shipping_address_state,
          'shipping_address_country' => $this->shipping_address_country,

          'created_at'               => current_time('mysql'),
          'updated_at'               => current_time('mysql'),
          'test'                     => true
        )
      );

      if ($wpdb->insert_id) {
        $this->id = $wpdb->insert_id;
      } else {
        wp_die("failed to create customer");
      }
    }
  }
}
?>
